org.wso2.carbon.dataservices.ui.beans

## Class GSpreadQuery

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.GSpreadQuery

-     public class GSpreadQuery
      extends DataServiceConfigurationElement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GSpreadQuery()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `int` | `getHeaderRow()`
    `int` | `getMaxRowCount()`
    `int` | `getStartingRow()`
    `int` | `getWorkSheetNumber()`
    `boolean` | `hasHeaders()`
    `void` | `setHasHeaders(String value)`
    `void` | `setHeaderRow(int headerRow)`
    `void` | `setMaxRowCount(int maxRowCount)`
    `void` | `setStartingRow(int startingRow)`
    `void` | `setWorkSheetNumber(int workSheetNumber)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GSpreadQuery

          public GSpreadQuery()

  - ### Method Detail

    - #### getMaxRowCount

          public int getMaxRowCount()

    - #### setMaxRowCount

          public void setMaxRowCount(int maxRowCount)

    - #### getStartingRow

          public int getStartingRow()

    - #### setStartingRow

          public void setStartingRow(int startingRow)

    - #### getWorkSheetNumber

          public int getWorkSheetNumber()

    - #### setWorkSheetNumber

          public void setWorkSheetNumber(int workSheetNumber)

    - #### hasHeaders

          public boolean hasHeaders()

    - #### setHasHeaders

          public void setHasHeaders(String value)

    - #### getHeaderRow

          public int getHeaderRow()

    - #### setHeaderRow

          public void setHeaderRow(int headerRow)

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `DataServiceConfigurationElement`
      Returns:
        OMElement

Copyright © 2019 WSO2. All rights reserved.